local fn = _gn(0xa6fe1977)
--- Set the forward and tangent direction vectors for an existing light, allowing control over its orientation (useful for spotlights and directional lights).
-- @param xDir , **yDir**, **zDir**: Components of the normalized forward (direction) vector
-- @param xTanDir , **yTanDir**, **zTanDir**: Components of the normalized tangent vector (defines rotation around the forward axis)
function Global.SetLightDirection(xDir, yDir, zDir, xTanDir, yTanDir, zTanDir)
	return fn(xDir, yDir, zDir, xTanDir, yTanDir, zTanDir)
end
